summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
-rwxr-xr-xbin/taler-deployment6
1 files changed, 5 insertions, 1 deletions
diff --git a/bin/taler-deployment b/bin/taler-deployment
index 35876f7..2090656 100755
--- a/bin/taler-deployment
+++ b/bin/taler-deployment
@@ -32,7 +32,11 @@ activate_template = """\
# Generated by taler-deployment-bootstrap
-export PATH="$HOME/deployment/bin:$HOME/local/bin:{curr_path}"
+echo $PATH | tr ":" '\n' | grep '$HOME/deployment/bin' > /dev/null
+if test 0 != $?
+then
+ export PATH="$HOME/deployment/bin:$HOME/local/bin:{curr_path}"
+fi
export PYTHONUSERBASE=$HOME/local
export TALER_BOOTSTRAP_TIMESTAMP={timestamp}
export TALER_CONFIG_CURRENCY={currency}